Bug Hunting Session
Bug 58050 - UI: Word counter doesn't work in HTML documents
Summary: UI: Word counter doesn't work in HTML documents
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:6.2.0
Keywords:
Depends on:
Blocks: Word-Count
  Show dependency treegraph
 
Reported: 2012-12-09 15:25 UTC by Adam Golański
Modified: 2018-10-22 13:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Golański 2012-12-09 15:25:16 UTC
Problem description: 

In New HTML Document one cannot check number of words in text, either directly typed or pasted into document. It worked in OpenOffice.org few years ago.


Steps to reproduce:
1. Create New HTML Document
2. Select Tools | Word counter
3. Click Word Counter without any effect.

Current behavior:

Nothing happens

Expected behavior:

Clicking opens a window with statistics, like in normal text document.

              
Operating System: Linux (Other)
Comment 1 ydutrieux 2012-12-18 22:40:04 UTC
NOT confirmed in Version 4.0.0.0.beta1+ (Build ID: 6d4a55bf38a1c470c49f904dbbddf94eb2f6154)
Win7 - 64bits.

The popup screen with stats is ok.
Comment 2 Stefan Knorr (astron) 2012-12-19 08:31:19 UTC
Reproducible on LibreOffice 3.5:build-403 (openSUSE 12.2).

Not reproducible on 4.0 beta 1 (Windows 8).
Not reproducible on master (4.1.0.0.alpha0+ (Build ID: 3b87d3dd507cd48286160e62383f48e2f70f006) (Linux, self-built).

=> therefore closing as WORKSFORME (now).
Comment 3 Commit Notification 2018-06-13 14:24:53 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5db29ca06b56bb235b0e8dfd0956715730f9cf0d

uitest-Word Count;tdf#68347 tdf#91100 tdf#58050 tdf#56975 tdf#56975

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2018-10-22 13:25:30 UTC
Working.

Verified on
Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (ro_RO.UTF-8); Calc: threaded